repo/gentoo:master commit in: dev-python/uv/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786816690.a18e010bf93fcc1dcba9285f72c07890650508d7.mgorny@gentoo> |
commit: a18e010bf93fcc1dcba9285f72c07890650508d7
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 17:54:53 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 17:58:10 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a18e010b
dev-python/uv: Force -Copt-level=0 on arm to fix OOM
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/uv/uv-0.12.3.ebuild | 2 ++
dev-python/uv/uv-9999.ebuild | 20 ++++----------------
2 files changed, 6 insertions(+), 16 deletions(-)
diff --git a/dev-python/uv/uv-0.12.3.ebuild b/dev-python/uv/uv-0.12.3.ebuild
index f53df25bf195..285f567d5914 100644
--- a/dev-python/uv/uv-0.12.3.ebuild
+++ b/dev-python/uv/uv-0.12.3.ebuild
@@ -104,6 +104,8 @@ src_configure() {
)
cargo_src_configure --no-default-features
+ # otherwise, rustc/llvm runs out of address space
+ use arm && export RUSTFLAGS="${RUSTFLAGS} -Copt-level=0"
}
src_compile() {
diff --git a/dev-python/uv/uv-9999.ebuild b/dev-python/uv/uv-9999.ebuild
index 5498bfbc3c21..1c1a92fd75d9 100644
--- a/dev-python/uv/uv-9999.ebuild
+++ b/dev-python/uv/uv-9999.ebuild
@@ -70,24 +70,10 @@ src_prepare() {
# enable system libraries where supported
export ZSTD_SYS_USE_PKG_CONFIG=1
- # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
+ # TODO: unbundle tikv-jemalloc-sys?
# remove unbundled sources, just in case
- find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
-
- # bzip2-sys requires a pkg-config file
- # https://github.com/alexcrichton/bzip2-rs/issues/104
- mkdir "${T}/pkg-config" || die
- export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
- cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
- Name: bzip2
- Version: 9999
- Description:
- Libs: -lbz2
- EOF
-
- # uv is now forcing bundled liblzma, sigh
- sed -i -e '/xz/s:"static"::' Cargo.toml || die
+ find "${ECARGO_VENDOR}"/zstd-sys-*/ -name '*.c' -delete || die
}
src_configure() {
@@ -98,6 +84,8 @@ src_configure() {
)
cargo_src_configure --no-default-features
+ # otherwise, rustc/llvm runs out of address space
+ use arm && export RUSTFLAGS="${RUSTFLAGS} -Copt-level=0"
}
src_compile() {